Check if MFA is Registered

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Checks whether Multi-Factor Authentication (MFA) is registered for a user in a specific organization. The authorizedToken used in the request is the token obtained after successfully validating the MFA OTP.

Using this API, you can verify if the user's organization has MFA registered before continuing further in the authentication flow.

Example request

curl --location 'https://eu.api.capillarytech.com/auth/v1/mfa/token/isMfaRegistered' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=YGkYDipZ5aBgYCycHPYGm3r4bevpFjl.Nx.qd7YzlMg-1777013162.9910796-1.0.1.1-PI6UPVMzkCBpVJISUfINvbiR_f9kmL1cobDGXWzeQzU' \
--data '{
    "deviceId": "123356682",
    "brand": "DocDemo",
    "authorizedToken": "eyJpZHYiOlsiTU9CSUxFfDkxOTk5OTk5MjgiXSwiZGV2IjoiMTIzMzU2NjgyIiwib3JnIjoiRE9DREVNTyIsImFsZyI6IkhTMjU2In0.eyJ1aWQiOiI1MDU4MTgzIiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0lFUyIsImlzYyI6ImZhbHNlIiwib2djIjpbIjEwMDczN3xuZWVyYWouZG9jIl0sImV4cCI6MTc3NzAxNDUwNSwiaWF0IjoxNzc3MDEzNjA1LCJyb2wiOiJVU0VSIn0.YP6v6C-klpdyZFFEvSqyB4RTjc3s4zMJ5dL8811S8lU"
}'

Prerequisites

  • The org must have MFA enabled.
  • A valid authorizedToken must be passed, obtained from a prior token generation step.

Resource information

URI/auth/v1/mfa/token/isMfaRegistered
HTTP methodPOST
Pagination supported?No
Batch supportNo

Request body parameters

(Parameters marked with * are mandatory)TypeDescription
brand*StringName of the brand or organization for which the MFA registration status is checked.
deviceId*StringUnique ID for the user's device, used to determine whether MFA is registered for that device.
authorizedToken*StringAuthentication token from /otp/validate of Multifactor factor.

Example response

{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    },
    "auth": null,
    "user": null
}

Response parameters

ParameterData TypeDescription
statusObjectObject containing status information.
-successBooleanBoolean indicating the status of the request.
-codeIntegerHTTP status code indicating the result. Example: 200 indicates success.
-messageStringMessage describing the status of the request.
authObjectContains the authentication token details of the user. Returns null for this endpoint as no token is generated or returned during an MFA registration check.
userObjectContains the user session details such as session ID. Returns null for this endpoint as no user session is created during an MFA registration check.

Error codes

CodeDescription
200MFA is registered for the user.
404User exists but has not completed MFA registration.
1513The org/brand does not have MFA enabled.
1504Token validation or creation failed.
401Token is expired. Ensure to provide active token.
Body Params
string
string
string
Headers
string
Responses

201

Successful response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json